/* This demo shows the use of choice objects.

   Written by Mark Overmars

   Date 29 Apr 1991
*/

#include "forms.h"

FL_FORM *form;
FL_OBJECT *sexobj, *childobj, *licenceobj, *marriedobj, *readyobj;

void create_form()
{
  form = fl_bgn_form(FL_NO_BOX,420.0,360.0);
  fl_add_box(FL_UP_BOX,0.0,0.0,420.0,360.0,"");
  fl_add_input(FL_NORMAL_INPUT,70.0,300.0,320.0,30.0,"Name");
  fl_add_input(FL_NORMAL_INPUT,70.0,260.0,320.0,30.0,"Address");
  fl_add_input(FL_NORMAL_INPUT,70.0,220.0,320.0,30.0,"City");
  fl_add_input(FL_NORMAL_INPUT,70.0,180.0,320.0,30.0,"Country");
  sexobj = fl_add_choice(FL_NORMAL_CHOICE,70.0,130.0,110.0,30.0,"Sex");
  childobj = fl_add_choice(FL_NORMAL_CHOICE,280.0,130.0,110.0,30.0,"Children");
  licenceobj = fl_add_choice(FL_NORMAL_CHOICE,280.0,80.0,110.0,30.0,"Licence");
  marriedobj = fl_add_choice(FL_NORMAL_CHOICE,70.0,80.0,110.0,30.0,"Married");
  readyobj = fl_add_button(FL_NORMAL_BUTTON,150.0,20.0,140.0,30.0,"Ready");
  fl_end_form();
}

main()
{
  FL_OBJECT *obj;
  fl_init();
  create_form();
  fl_addto_choice(sexobj,"Male");
  fl_addto_choice(sexobj,"Female");
  fl_addto_choice(childobj,"Zero");
  fl_addto_choice(childobj,"One");
  fl_addto_choice(childobj,"Two");
  fl_addto_choice(childobj,"Three");
  fl_addto_choice(childobj,"Many");
  fl_addto_choice(licenceobj,"Yes");
  fl_addto_choice(licenceobj,"No");
  fl_addto_choice(marriedobj,"Yes");
  fl_addto_choice(marriedobj,"No");
  fl_show_form(form,FL_PLACE_CENTER,FALSE,NULL);
  do obj = fl_do_forms(); while (obj != readyobj);
  fl_hide_form(form);
}

