/* A demo showing the use of timer objects.

   Written by Mark overmars

   Date: 18 May 1991
*/

#include <stdlib.h>
#include "forms.h"

FL_FORM *form1, *form2;
FL_OBJECT *but, *tim, *tim2;

void makeforms()
{
  form1 = fl_bgn_form(FL_UP_BOX,400.0,400.0);
    but = fl_add_button(FL_NORMAL_BUTTON,140.0,160.0,120.0,80.0,"Push Me");
    tim = fl_add_timer(FL_VALUE_TIMER,200.0,310.0,90.0,50.0,"Time Left");
  fl_end_form();
  form2 = fl_bgn_form(FL_UP_BOX,320.0,120.0);
    fl_add_box(FL_NO_BOX,160.0,80.0,0.0,0.0,"You were too late");
    fl_add_button(FL_NORMAL_BUTTON,100.0,20.0,120.0,30.0,"Try Again");
    tim2 = fl_add_timer(FL_HIDDEN_TIMER,0.0,0.0,1.0,2.0,"");
  fl_end_form();
}

main()
{
  FL_OBJECT *ret;
  fl_init();
  makeforms();
  fl_show_form(form1,FL_PLACE_CENTER,FALSE,NULL);
  fl_set_timer(tim,5.0);
  ret = fl_do_forms();
  if (ret == but) exit(0);
  fl_deactivate_form(form1);
  fl_set_timer(tim2,4.0);
  fl_show_form(form2,FL_PLACE_MOUSE,FALSE,NULL);
  fl_do_forms();
  fl_hide_form(form2);
  fl_activate_form(form1);
  fl_set_timer(tim,5.0);
  do ret = fl_do_forms(); while (ret != but);
  fl_hide_form(form1);
}

